package eu.dnetlib.api.data;

import java.util.List;

import eu.dnetlib.api.DriverService;
import eu.dnetlib.domain.EPR;

/**
 * Created by antleb on 9/8/14.
 */
public interface MDStoreService extends DriverService {

	public EPR deliverMDRecords(String mdStoreId, String from, String until, String recordsFilter) throws MDStoreServiceException;

	public String deliverRecord(String mdStoreId, String recordId) throws MDStoreServiceException;

	public List<String> getListOfMDStores() throws MDStoreServiceException;

	public List<String> listMDStores(String format, String layout, String interpretation) throws MDStoreServiceException;

	public EPR bulkDeliverMDRecords(String format, String layout, String interpretation) throws MDStoreServiceException;

	public boolean storeMDRecordsFromRS(String mdStoreId, String resultSetId, String storingType) throws MDStoreServiceException;
}
