package eu.dnetlib.api.enabling;

import java.util.List;

import eu.dnetlib.api.DriverService;
import eu.dnetlib.domain.EPR;

public interface ISLookUpService extends DriverService {

	public List<String> quickSearchProfile(String XQuery)
			throws ISLookUpServiceException;

	public String getResourceProfile(String profId)
			throws ISLookUpServiceException;

	public String getResourceProfileByQuery(String XQuery)
			throws ISLookUpServiceException;

	public List<String> listResourceTypes() throws ISLookUpServiceException;

	public String getResourceTypeSchema(String resourceType)
			throws ISLookUpServiceException;
}